Skip to main content
GET
/
wire
List Wire Transfers
curl --request GET \
  --url https://api.treasuryprime.com/wire \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_id": "<string>",
      "amount": "<string>",
      "bankdata": {},
      "chips_ssn": "<string>",
      "counterparty_id": "<string>",
      "error": "<string>",
      "fx_quote": {},
      "id": "<string>",
      "imad": {
        "parsed": {
          "cycle_date": "<string>",
          "input_sequence_number": "<string>",
          "input_source": "<string>"
        },
        "unparsed": "<string>"
      },
      "instructions": "<string>",
      "intermediary": {
        "address": {
          "city": "<string>",
          "country": "<string>",
          "postal_code": "<string>",
          "state": "<string>",
          "street_line_1": "<string>",
          "street_line_2": "<string>"
        },
        "name": "<string>",
        "routing_number": "<string>"
      },
      "omad": {
        "parsed": {
          "cycle_date": "<string>",
          "frb_application_id": "<string>",
          "output_date": "<string>",
          "output_destination": "<string>",
          "output_sequence_number": "<string>",
          "output_time": "<string>"
        },
        "unparsed": "<string>"
      },
      "org_id": "<string>",
      "purpose": "<string>",
      "status": "<string>",
      "target_currency_code": "<string>",
      "userdata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account originating the transfer. Filterable.

counterparty_id
string

ID of the Counterparty receiving the transfer. Be sure that the wire section of the Counterparty contains non-null values. Filterable.

org_id
string

ID of the organization with which this object is associated. Filterable.

status
string

One of pending, canceled, error, or sent. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size wire elements, starting after the wire described by page_cursor. If no more wires are available, the resulting list will be empty.

data
object[]